Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1037503 - fix thin provisioning support for block device backends
Summary: fix thin provisioning support for block device backends
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Paolo Bonzini
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 1055487 GlusterThinProvisioning 1136534
TreeView+ depends on / blocked
 
Reported: 2013-12-03 09:49 UTC by Paolo Bonzini
Modified: 2014-09-02 19:30 UTC (History)
10 users (show)

Fixed In Version: qemu-kvm-1.5.3-41.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1055487 1103845 (view as bug list)
Environment:
Last Closed: 2014-06-13 11:21:41 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Paolo Bonzini 2013-12-03 09:49:05 UTC
It's a simple patch:

commit 0c14fb47ece5ef42d7a0a4b3e8e43e022b375720
Author: Bharata B Rao <bharata@linux.vnet.ibm.com>
Date:   Tue Jul 16 21:47:42 2013 +0530

    gluster: Add discard support for GlusterFS block driver.
    
    Implement bdrv_aio_discard for gluster.
    
    Signed-off-by: Bharata B Rao <bharata@linux.vnet.ibm.com>
    Reviewed-by: Kevin Wolf <kwolf@redhat.com>
    Signed-off-by: Stefan Hajnoczi <stefanha@redhat.com>

Comment 3 Miroslav Rezanina 2014-01-22 14:23:05 UTC
Fix included in qemu-kvm-1.5.3-41.el7

Comment 5 Sibiao Luo 2014-01-23 02:48:05 UTC
Reproduce this issue on qemu-kvm-1.5.3-38.el7 and verify this issue on qemu-kvm-1.5.3-41.el7 with the instruction of comment #2.

###########Reproduced Steps and Results:
host info:
3.10.0-76.el7.x86_64
qemu-kvm-1.5.3-38.el7.x86_64
seabios-1.7.2.2-10.el7.x86_64
seabios-bin-1.7.2.2-10.el7.x86_64
guest info:
3.10.0-76.el7.x86_64

host ]# modprobe scsi_debug lbpu=1 lbpws=1 lbprz=0
host ]# lsscsi
[0:0:0:0]    disk    ATA      ST3500413AS      HP64  /dev/sda 
[2:0:0:0]    cd/dvd  hp       DVD-RAM GH80N    RF01  /dev/sr0 
[34:0:0:0]   disk    Linux    scsi_debug       0004  /dev/sdb

qemu-kvm command line: #/usr/libexec/qemu-kvm...-drive file=/dev/sdb,if=none,id=drive-data-disk,format=raw,cache=none,aio=native,werror=stop,rerror=stop,discard=on -device virtio-scsi-pci,id=scsi1,bus=pcie.0,addr=0x7 -device scsi-hd,drive=drive-data-disk,id=data-disk,bus=scsi1.0

guest ]# lsscsi
[6:0:0:0]    disk    QEMU     QEMU HARDDISK    1.5.  /dev/sda 
[7:0:0:0]    disk    QEMU     QEMU HARDDISK    1.5.  /dev/sdb 
guest ]# cat /sys/bus/scsi/devices/target7\:0\:0/7\:0\:0\:0/scsi_disk/7\:0\:0\:0/provisioning_mode
writesame_16               <-----------------------

###########Verified Steps and Results:
host info:
3.10.0-76.el7.x86_64
qemu-kvm-1.5.3-41.el7.x86_64
seabios-1.7.2.2-10.el7.x86_64
seabios-bin-1.7.2.2-10.el7.x86_64
guest info:
3.10.0-76.el7.x86_64

host ]# modprobe scsi_debug lbpu=1 lbpws=1 lbprz=0
host ]# lsscsi
[0:0:0:0]    disk    ATA      ST3500413AS      HP64  /dev/sda 
[2:0:0:0]    cd/dvd  hp       DVD-RAM GH80N    RF01  /dev/sr0 
[34:0:0:0]   disk    Linux    scsi_debug       0004  /dev/sdb

qemu-kvm command line: #/usr/libexec/qemu-kvm...-drive file=/dev/sdb,if=none,id=drive-data-disk,format=raw,cache=none,aio=native,werror=stop,rerror=stop,discard=on -device virtio-scsi-pci,id=scsi1,bus=pcie.0,addr=0x7 -device scsi-hd,drive=drive-data-disk,id=data-disk,bus=scsi1.0

guest ]# lsscsi
[6:0:0:0]    disk    QEMU     QEMU HARDDISK    1.5.  /dev/sda 
[7:0:0:0]    disk    QEMU     QEMU HARDDISK    1.5.  /dev/sdb 
guest ]# cat /sys/bus/scsi/devices/target7\:0\:0/7\:0\:0\:0/scsi_disk/7\:0\:0\:0/provisioning_mode
unmap                      <-----------------------

Base on above, this issue has been fixed correctly.

Best Regards,
sluo

Comment 7 Ludek Smid 2014-06-13 11:21:41 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.